PETSc version 3.15.5
Fix/Edit manual page

# KSPMonitorSAWs

monitor solution using SAWs

### Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPMonitorSAWs(KSP ksp,PetscInt n,PetscReal rnorm,void *ctx)

Logically Collective on ksp

### Input Parameters

| ksp | - iterative context
| n | - iteration number
| rnorm | - 2-norm (preconditioned) residual value (may be estimated).
| ctx | - PetscViewer of type SAWs

### See Also

KSPMonitorSingularValue(), KSPComputeExtremeSingularValues(), PetscViewerSAWsOpen()

### Level

advanced

### Location

src/ksp/ksp/interface/saws/kspsaws.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages